-- VHDL model created from schematic dds16.sch -- Jul 29 18:44:05 2007

LIBRARY vanmacro;
USE vanmacro.components.ALL;
LIBRARY ieee;
LIBRARY generics;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
USE generics.components.ALL;

entity DDS16 is
      Port (     CLK : In    std_logic;
                 DD0 : In    std_logic;
                 DD1 : In    std_logic;
                DD10 : In    std_logic;
                DD11 : In    std_logic;
                DD12 : In    std_logic;
                DD13 : In    std_logic;
                DD14 : In    std_logic;
                DD15 : In    std_logic;
                 DD2 : In    std_logic;
                 DD3 : In    std_logic;
                 DD4 : In    std_logic;
                 DD5 : In    std_logic;
                 DD6 : In    std_logic;
                 DD7 : In    std_logic;
                 DD8 : In    std_logic;
                 DD9 : In    std_logic;
                  O0 : Out   std_logic;
                  O1 : Out   std_logic;
                  O2 : Out   std_logic;
                  O3 : Out   std_logic;
                  O4 : Out   std_logic;
                  O5 : Out   std_logic;
                  O6 : Out   std_logic;
                  O7 : Out   std_logic );
end DDS16;

architecture SCHEMATIC of DDS16 is

   SIGNAL gnd : std_logic := '0';
   SIGNAL vcc : std_logic := '1';

   signal      N_1 : std_logic;
   signal      N_2 : std_logic;
   signal      N_3 : std_logic;
   signal      N_4 : std_logic;
   signal      N_5 : std_logic;
   signal      N_6 : std_logic;
   signal      N_7 : std_logic;
   signal      N_8 : std_logic;
   signal      N_9 : std_logic;
   signal     N_10 : std_logic;
   signal     N_11 : std_logic;
   signal     N_12 : std_logic;
   signal     N_13 : std_logic;
   signal     N_14 : std_logic;
   signal     N_15 : std_logic;
   signal     N_16 : std_logic;
   signal     N_17 : std_logic;
   signal     N_18 : std_logic;
   signal     N_19 : std_logic;
   signal     N_20 : std_logic;
   signal     N_21 : std_logic;
   signal     N_22 : std_logic;
   signal     N_23 : std_logic;
   signal     N_24 : std_logic;
   signal     N_25 : std_logic;
   signal     N_26 : std_logic;
   signal     N_27 : std_logic;
   signal     N_28 : std_logic;
   signal     N_29 : std_logic;
   signal     N_30 : std_logic;
   signal     N_31 : std_logic;
   signal     N_32 : std_logic;
   signal     N_33 : std_logic;
   signal     N_34 : std_logic;
   signal     N_35 : std_logic;
   signal     N_36 : std_logic;
   signal     N_37 : std_logic;
   signal     N_38 : std_logic;
   signal     N_39 : std_logic;
   signal     N_40 : std_logic;
   signal     N_41 : std_logic;
   signal     N_42 : std_logic;
   signal     N_43 : std_logic;
   signal     N_44 : std_logic;
   signal     N_45 : std_logic;
   signal     N_46 : std_logic;
   signal     N_47 : std_logic;
   signal     N_48 : std_logic;
   signal     N_49 : std_logic;
   signal     N_50 : std_logic;
   signal     N_51 : std_logic;
   signal     N_52 : std_logic;
   signal     N_53 : std_logic;
   signal     N_54 : std_logic;
   signal     N_55 : std_logic;

   component INV6
      Port (      D0 : In    std_logic;
                  D1 : In    std_logic;
                  D2 : In    std_logic;
                  D3 : In    std_logic;
                  D4 : In    std_logic;
                  D5 : In    std_logic;
                 INV : In    std_logic;
                  A0 : Out   std_logic;
                  A1 : Out   std_logic;
                  A2 : Out   std_logic;
                  A3 : Out   std_logic;
                  A4 : Out   std_logic;
                  A5 : Out   std_logic );
   end component;

   component INV7
      Port (      D0 : In    std_logic;
                  D1 : In    std_logic;
                  D2 : In    std_logic;
                  D3 : In    std_logic;
                  D4 : In    std_logic;
                  D5 : In    std_logic;
                  D6 : In    std_logic;
                 INV : In    std_logic;
                  A0 : Out   std_logic;
                  A1 : Out   std_logic;
                  A2 : Out   std_logic;
                  A3 : Out   std_logic;
                  A4 : Out   std_logic;
                  A5 : Out   std_logic;
                  A6 : Out   std_logic );
   end component;

   component D8REG
      Port (    CLKR : In    std_logic;
                 DR0 : In    std_logic;
                 DR1 : In    std_logic;
                 DR2 : In    std_logic;
                 DR3 : In    std_logic;
                 DR4 : In    std_logic;
                 DR5 : In    std_logic;
                 DR6 : In    std_logic;
                 DR7 : In    std_logic;
                 QR0 : Out   std_logic;
                 QR1 : Out   std_logic;
                 QR2 : Out   std_logic;
                 QR3 : Out   std_logic;
                 QR4 : Out   std_logic;
                 QR5 : Out   std_logic;
                 QR6 : Out   std_logic;
                 QR7 : Out   std_logic );
   end component;

   component SINROM
      Port (      A1 : In    std_logic;
                  A2 : In    std_logic;
                  A3 : In    std_logic;
                  A4 : In    std_logic;
                  A5 : In    std_logic;
                  A6 : In    std_logic;
                  D0 : Out   std_logic;
                  D1 : Out   std_logic;
                  D2 : Out   std_logic;
                  D3 : Out   std_logic;
                  D4 : Out   std_logic;
                  D5 : Out   std_logic;
                  D6 : Out   std_logic );
   end component;

   component AKKU16
      Port (     CLK : In    std_logic;
                  D0 : In    std_logic;
                  D1 : In    std_logic;
                 D10 : In    std_logic;
                 D11 : In    std_logic;
                 D12 : In    std_logic;
                 D13 : In    std_logic;
                 D14 : In    std_logic;
                 D15 : In    std_logic;
                 D16 : In    std_logic;
                 D17 : In    std_logic;
                 D18 : In    std_logic;
                 D19 : In    std_logic;
                  D2 : In    std_logic;
                  D3 : In    std_logic;
                  D4 : In    std_logic;
                  D5 : In    std_logic;
                  D6 : In    std_logic;
                  D7 : In    std_logic;
                  D8 : In    std_logic;
                  D9 : In    std_logic;
                PH10 : Out   std_logic;
                PH11 : Out   std_logic;
                PH12 : Out   std_logic;
                PH13 : Out   std_logic;
                PH14 : Out   std_logic;
                PH15 : Out   std_logic;
                PH16 : Out   std_logic;
                PH17 : Out   std_logic;
                PH18 : Out   std_logic;
                PH19 : Out   std_logic;
                 PH8 : Out   std_logic;
                 PH9 : Out   std_logic );
   end component;

begin

   I68 : G_INV
      Port Map ( x=>N_53 );
   I67 : INV6
      Port Map ( D0=>N_9, D1=>N_14, D2=>N_19, D3=>N_24, D4=>N_29,
                 D5=>N_34, INV=>N_39, A0=>N_10, A1=>N_15, A2=>N_20,
                 A3=>N_25, A4=>N_30, A5=>N_35 );
   I66 : G_INV
      Port Map ( A=>N_54, YN=>N_55 );
   I65 : INV7
      Port Map ( D0=>N_11, D1=>N_16, D2=>N_21, D3=>N_26, D4=>N_31,
                 D5=>N_36, D6=>N_40, INV=>N_55, A0=>N_12, A1=>N_17,
                 A2=>N_22, A3=>N_27, A4=>N_32, A5=>N_37, A6=>N_41 );
   I62 : D8REG
      Port Map ( CLKR=>N_52, DR0=>N_12, DR1=>N_17, DR2=>N_22, DR3=>N_27,
                 DR4=>N_32, DR5=>N_37, DR6=>N_41, DR7=>N_54, QR0=>N_13,
                 QR1=>N_18, QR2=>N_23, QR3=>N_28, QR4=>N_33, QR5=>N_38,
                 QR6=>N_42, QR7=>N_43 );
   I35 : SINROM
      Port Map ( A1=>N_10, A2=>N_15, A3=>N_20, A4=>N_25, A5=>N_30,
                 A6=>N_35, D0=>N_11, D1=>N_16, D2=>N_21, D3=>N_26,
                 D4=>N_31, D5=>N_36, D6=>N_40 );
   I1 : G_OUTPUT
      Port Map ( I=>N_13, O=>O0 );
   I2 : G_OUTPUT
      Port Map ( I=>N_18, O=>O1 );
   I3 : G_OUTPUT
      Port Map ( I=>N_23, O=>O2 );
   I4 : G_OUTPUT
      Port Map ( I=>N_28, O=>O3 );
   I5 : G_OUTPUT
      Port Map ( I=>N_33, O=>O4 );
   I6 : G_OUTPUT
      Port Map ( I=>N_38, O=>O5 );
   I7 : G_OUTPUT
      Port Map ( I=>N_42, O=>O6 );
   I8 : G_OUTPUT
      Port Map ( I=>N_43, O=>O7 );
   I58 : G_INPUT
      Port Map ( I=>DD7, O=>N_8 );
   I44 : G_INPUT
      Port Map ( I=>DD5, O=>N_6 );
   I45 : G_INPUT
      Port Map ( I=>DD3, O=>N_4 );
   I46 : G_INPUT
      Port Map ( I=>DD1, O=>N_2 );
   I51 : G_INPUT
      Port Map ( I=>DD6, O=>N_7 );
   I52 : G_INPUT
      Port Map ( I=>DD4, O=>N_5 );
   I53 : G_INPUT
      Port Map ( I=>DD2, O=>N_3 );
   I54 : G_INPUT
      Port Map ( I=>DD0, O=>N_1 );
   I60 : G_INPUT
      Port Map ( I=>DD15, O=>N_51 );
   I40 : G_INPUT
      Port Map ( I=>DD13, O=>N_49 );
   I41 : G_INPUT
      Port Map ( I=>DD11, O=>N_47 );
   I42 : G_INPUT
      Port Map ( I=>DD9, O=>N_45 );
   I47 : G_INPUT
      Port Map ( I=>DD14, O=>N_50 );
   I48 : G_INPUT
      Port Map ( I=>DD12, O=>N_48 );
   I49 : G_INPUT
      Port Map ( I=>DD10, O=>N_46 );
   I50 : G_INPUT
      Port Map ( I=>DD8, O=>N_44 );
   I25 : G_INPUT
      Port Map ( I=>CLK, O=>N_52 );
   I24 : AKKU16
      Port Map ( CLK=>N_52, D0=>N_1, D1=>N_2, D10=>N_46, D11=>N_47,
                 D12=>N_48, D13=>N_49, D14=>N_50, D15=>N_51, D16=>N_53,
                 D17=>N_53, D18=>N_53, D19=>N_53, D2=>N_3, D3=>N_4,
                 D4=>N_5, D5=>N_6, D6=>N_7, D7=>N_8, D8=>N_44, D9=>N_45,
                 PH10=>open, PH11=>open, PH12=>N_9, PH13=>N_14,
                 PH14=>N_19, PH15=>N_24, PH16=>N_29, PH17=>N_34,
                 PH18=>N_39, PH19=>N_54, PH8=>open, PH9=>open );

end SCHEMATIC;
